% Input:
% t: double (Sampling time)
% A: matrix
% rx0: double
% rv: double
% normvalue: 1/2/Inf (norm to use)

% Output:
% x: double (alpha_tau)

% Description:
% calculates alpha (for algo1)

function [x] = calcAlphaTau(t,A,Rx0,Rv,normvalue)
nA = norm(A,normvalue);
x = ( exp(t*nA) -1 -t*nA)*(Rx0 + (Rv/nA));